Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ComputedColumn

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.ComputedColumn

All Implemented Interfaces:
  IComputedColumn

    public class ComputedColumn

extends java.lang.Object
implements IComputedColumn

Default implementation of `IComputedColumn` interface.

Field Summary
`protected int` | `dataType`
`protected IBaseExpression` | `expr`
`protected java.lang.String` | `name`

Constructor Summary
`ComputedColumn(java.lang.String name, java.lang.String expr)`
`ComputedColumn(java.lang.String name, java.lang.String expr, int dataType)` Constructs a new computed column with specified name and expression
`ComputedColumn(java.lang.String name, java.lang.String expr, int dataType, java.lang.String aggrFunction, IScriptExpression filter, java.util.List argument)`

Method Summary
`java.util.List` | `getAggregateArgument()` Return aggregation arguments of this computed column if it is an aggregation.
`IScriptExpression` | `getAggregateFilter()` Return the filter of this computed column if it is an aggregation.
`java.lang.String` | `getAggregateFunction()` Return the aggregation function.
`int` | `getDataType()` Gets the data type of the computed column.
`IBaseExpression` | `getExpression()` Gets the expression of the computed column
`java.lang.String` | `getName()` Gets the name of the computed column

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### expr

    protected IBaseExpression expr

### dataType

    protected int dataType

Constructor Detail

### ComputedColumn

    public ComputedColumn(java.lang.String name,
                          java.lang.String expr)

Parameters:
  `name` -
  `expr` -

### ComputedColumn

    public ComputedColumn(java.lang.String name,
                          java.lang.String expr,
                          int dataType)

  Constructs a new computed column with specified name and expression

  Parameters:
    `name` - Name of computed column
    `expr` - Expression of computed column
    `dataType` - data Type of computed column

### ComputedColumn

    public ComputedColumn(java.lang.String name,
                          java.lang.String expr,
                          int dataType,
                          java.lang.String aggrFunction,
                          IScriptExpression filter,
                          java.util.List argument)

Parameters:
  `name` -
  `expr` -
  `dataType` -
  `aggrFunction` -

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `IComputedColumn`
  Gets the name of the computed column

  Specified by:
    `getName` in interface `IComputedColumn`

### getExpression

    public IBaseExpression getExpression()

  Description copied from interface: `IComputedColumn`
  Gets the expression of the computed column

  Specified by:
    `getExpression` in interface `IComputedColumn`

### getDataType

    public int getDataType()

  Description copied from interface: `IComputedColumn`
  Gets the data type of the computed column.

  Specified by:
    `getDataType` in interface `IComputedColumn`
  Returns:
    Data type as an integer.

### getAggregateFunction

    public java.lang.String getAggregateFunction()

  Description copied from interface: `IComputedColumn`
  Return the aggregation function.

  Specified by:
    `getAggregateFunction` in interface `IComputedColumn`
  Returns:

### getAggregateArgument

    public java.util.List getAggregateArgument()

  Description copied from interface: `IComputedColumn`
  Return aggregation arguments of this computed column if it is an aggregation.

  Specified by:
    `getAggregateArgument` in interface `IComputedColumn`
  Returns:

### getAggregateFilter

    public IScriptExpression getAggregateFilter()

  Description copied from interface: `IComputedColumn`
  Return the filter of this computed column if it is an aggregation.

  Specified by:
    `getAggregateFilter` in interface `IComputedColumn`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.